Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85027 - chrooted named should be default, migration support missing
Summary: chrooted named should be default, migration support missing
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bind
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-24 23:16 UTC by Heiner Westphal
Modified: 2007-04-18 16:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-08-01 20:05:12 UTC


Attachments (Terms of Use)
shell script to migrate to chrooted named including syslog support (deleted)
2003-02-24 23:27 UTC, Heiner Westphal
no flags Details

Description Heiner Westphal 2003-02-24 23:16:04 UTC
From Bugzilla Helper:

Description of problem:
The default configuration of bind should come with a chrooted named.
At least some support scripts should be provided, which make it easy
to migrate to a chrooted named.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Just start named or
2. try to setup a chrooted named which can be maintained with out of the box tools
3.
    

Additional info:

Provide a chrooted named as standard setup (including tools support).
Use the attached script as a start for migrating a non chrooted
named to chroot:

Comment 1 Heiner Westphal 2003-02-24 23:27:06 UTC
Created attachment 90333 [details]
shell script to migrate to chrooted named including syslog support

This was tested on Redhat 7.2 with bind 9.2.1-1.7x
and two times on redhat 8.0 with bind 9.2.1-9
always with ROOTDIR=/var/named and user=named.

The only official name server with this settings is
ns.asis-corp.com.

Comment 2 Heiner Westphal 2003-03-04 22:21:53 UTC
The script depends on "strings" which belongs to binutils.
These are possibly not installed on a named only machine.

This is not really necessary.


Comment 3 Daniel Walsh 2003-03-26 20:38:31 UTC
I have added a bind-chroot kit that when installed will cause bind to run in a
chroot environment.  It will be on Rawhide as soon as rawhide is available.
The source rpm is available on ftp://people.redhat.com/dwalsh.
This is experimental.  Your feedback is appreciated.

Thanks


Note You need to log in before you can comment on or make changes to this bug.